<div class="login-page">
    <div class="content">
        <img src="assets/images/think_tank_BLI.jpg" class="login-img" alt="">
        <!-- <h1 class="app-name">Sb Admin Material</h1> -->
        <form class="login-form" [formGroup]="newForm">
            <div class="text-center">
                <h2 class="app-name">BLI Companion</h2>
                <p class="sign-in-text">Sign In</p>
            </div>
            <div fxFlex fxLayout="row" fxLayout.lt-md="column">
                <div fxFlexFill>
                    <mat-form-field class="w-100">
                        <input matInput placeholder="USERNAME" id="username" type="text" formControlName="username"
                        class="form-control" required="">
                    </mat-form-field>
                </div>
            </div>
            <div *ngIf="newForm.controls.username.invalid && (newForm.controls.username.dirty || newForm.controls.username.touched)" class="alert alert-danger">
                <app-show-errors [control]="newForm.controls.username"></app-show-errors>
            </div>
            <div fxFlex fxLayout="row" fxLayout.lt-md="column">
                <div fxFlexFill>
                    <mat-form-field class="w-100">
                        <input matInput type="password" placeholder="Password" formControlName="password"
                        class="form-control" required="">
                    </mat-form-field>
                </div>
            </div>
            <div *ngIf="newForm.controls.password.invalid && (newForm.controls.password.dirty || newForm.controls.password.touched)"
            class="alert alert-danger">
                <app-show-errors [control]="newForm.controls.password"></app-show-errors>
            </div>
            <div fxFlex fxLayout="row" fxLayout.lt-md="column">
                <div fxFlexFill>
                    <button mat-raised-button color="primary" class="w-100" (click)="onLogin(newForm)" [disabled]="!newForm.valid">Login</button>
                </div>
            </div>            
        </form>
        <div class="copyright">
            <p class="copyright-text">©2018 BCA BIT3</p>
        </div>
    </div>
    
</div>
